Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libdca
#Epoch:		0
Version:	0.0.5
Release:	1
License:	GNU/GPLv2
URL:		http://www.videolan.org/developers/libdca.html
Group:		System/Libraries
Summary:	DTS coherent acoustics stream decoding library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

Obsoletes:	libdts

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
libdca is a free library for decoding DTS Coherent Acoustics streams.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libdts-devel

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/dcadec
%{_bindir}/dtsdec
%{_bindir}/extract_dca
%{_bindir}/extract_dts
%{_libdir}/libdca.so.*
%{_libdir}/libdts.a
%{_mandir}/man1/dcadec.1.gz
%{_mandir}/man1/dtsdec.1.gz
%{_mandir}/man1/extract_dca.1.gz
%{_mandir}/man1/extract_dts.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/dca.h
%{_includedir}/dts.h
%{_libdir}/libdca.a
%{_libdir}/libdca.la
%{_libdir}/libdca.so
%{_pkgconfig}/libdca.pc
%{_pkgconfig}/libdts.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.0.5-1
- initial CCux package release
